
#if 1

#include <stdlib.h>

#include <errno.h>
#include "config.h"
#include "avformat.h"
#include "framehook.h"

#include "hivehook.h"

#ifdef HAVE_DLFCN_H
#include <dlfcn.h>
#endif


static const char *input_filename;

void parse_arg_file(const char *filename)
{
    if (!strcmp(filename, "-"))
                    filename = "pipe:";
    input_filename = filename;
}

int main(int argc, char* argv[]) 
{
  char* test;
  hive_hook_add(argc,argv);

  fprintf(stderr,"**** allocating 10,000 bytes\n");
  test = av_malloc(10000);

  hive_hook_release();

  return 0;
}

#else

#include <stdlib.h>

static const char *input_filename;

void parse_arg_file(const char *filename)
{
    if (!strcmp(filename, "-"))
                    filename = "pipe:";
    input_filename = filename;
}

int main(int argc, char* argv[]) 
{
  int i;
  for (i=0; i<100; i++) {
    char* test = malloc(10000);
  }

  return 0;
}


#endif
