#ifndef SBDXMLENCODER_H
#define SBDXMLENCODER_H

#include <setjmp.h>
#include "frame.h"
#include "encoder.h"
extern "C"{
#include <jpeglib.h>
}

class SBDXML_Encoder : public Encoder
{
public:
  SBDXML_Encoder(char *opfilename, char *vidfilename, char *keyframedir);
  ~SBDXML_Encoder();
  void OutputFrame(frame* vidframe);
  void WriteKeyFrame(frame *vidframe, char *filenamebase, int shotno);

private:
  char video_filename[1024];
  char xml_opfilename[1024];
  char kfbase[1024];

  FILE *fxml;
  int kfcount;
  int dokeyframes; //nonzero if keyframes should be written

  
};

#endif //#ifndef SBDXMLENCODER_H

