#ifndef ANSESVIDSEGENCODER_H
#define ANSESVIDSEGENCODER_H

#include <setjmp.h>
#include "frame.h"
#include "encoder.h"
extern "C"{
#include <jpeglib.h>
}

class AnsesVidseg_Encoder : public Encoder
{
public:
  AnsesVidseg_Encoder(char *opfilename, char *vidfilename, char *keyframedir);
  ~AnsesVidseg_Encoder();
  void OutputFrame(frame* vidframe);
  void WriteKeyFrame(frame *vidframe, char *filenamebase, int shotno);

private:
  char video_filename[1024];
  char vidseg_opfilename[1024];
  char kfbase[1024];

  FILE *fvs;
  int kfcount;
  int dokeyframes; //nonzero if keyframes should be written

  int doneEnd;
  double currTimestamp;
};

#endif //#ifndef ANSESVIDSEGENCODER_H

